Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ExecuteExportResponseOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ExecuteExportResponse`, `ClientWireProtocol.ExecuteExportResponse.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.ExecuteExportResponseOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getExportStatement()`
`string exportStatement = 2;`
`ByteString`
`getExportStatementBytes()`
`string exportStatement = 2;`
`String`
`getQueryId()`
`string queryId = 6;`
`ByteString`
`getQueryIdBytes()`
`string queryId = 6;`
`boolean`
`getRedirect()`
Redirect = true, means we are telling client to send the command elsewhere
`String`
`getRedirectHost()`
`string redirectHost = 4;`
`ByteString`
`getRedirectHostBytes()`
`string redirectHost = 4;`
`int`
`getRedirectPort()`
`fixed32 redirectPort = 5;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getExportStatement

String getExportStatement()
`string exportStatement = 2;`

Returns:
  The exportStatement.

### getExportStatementBytes

ByteString getExportStatementBytes()
`string exportStatement = 2;`

Returns:
  The bytes for exportStatement.

### getRedirect

boolean getRedirect()

     Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Returns:
  The redirect.

### getRedirectHost

String getRedirectHost()
`string redirectHost = 4;`

Returns:
  The redirectHost.

### getRedirectHostBytes

ByteString getRedirectHostBytes()
`string redirectHost = 4;`

Returns:
  The bytes for redirectHost.

### getRedirectPort

int getRedirectPort()
`fixed32 redirectPort = 5;`

Returns:
  The redirectPort.

### getQueryId

String getQueryId()
`string queryId = 6;`

Returns:
  The queryId.

### getQueryIdBytes

ByteString getQueryIdBytes()
`string queryId = 6;`

Returns:
  The bytes for queryId.